type: log
paths:
{{ range $i, $path := .paths }}
 - {{$path}}
{{ end }}
exclude_files: [".gz$"]
tags: {{.tags | tojson}}
publisher_pipeline.disable_host: {{ inList .tags "forwarded" }}

json.keys_under_root: false

fields_under_root: true

processors:
  - rename:
      fields:
        - from: "json"
          to: "zeek.weird"

        - from: "zeek.weird.id.orig_h"
          to: "source.address"

        - from: "zeek.weird.id.orig_p"
          to: "source.port"

        - from: "zeek.weird.id.resp_h"
          to: "destination.address"

        - from: "zeek.weird.id.resp_p"
          to: "destination.port"

        - from: "zeek.weird.uid"
          to: "zeek.session_id"

        - from: "zeek.weird.addl"
          to: "zeek.weird.additional_info"

      ignore_missing: true
      fail_on_error: false
  - convert:
      fields:
        - {from: "zeek.session_id", to: "event.id"}
        - {from: "source.address", to: "source.ip", type: "ip"}
        - {from: "destination.address", to: "destination.ip", type: "ip"}
        - {from: "zeek.weird.name", to: "rule.name"}
      ignore_missing: true
      fail_on_error: false
  - add_fields:
      target: event
      fields:
        kind: alert
        category:
          - network
        type:
          - info
  - add_fields:
      target: ''
      fields:
        ecs.version: 1.9.0
